Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.dataLayer
Class Transition

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  pipe.dataLayer.PetriNetObject
                      pipe.dataLayer.PlaceTransitionObject
                          pipe.dataLayer.Transition

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, Constants, Zoomable

    public class Transition

extends PlaceTransitionObject
implements Constants

Transition - Petri-Net Transition Class

See Also:

  PNML - Petri-Net XMLSchema (stNet.xsd),

  UML - PNML Package

  , Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`boolean` | `highlighted`
`static int` | `TRANSITION_HEIGHT` Place Width
`static int` | `TRANSITION_WIDTH` Place Width
`static java.lang.String` | `type`

Fields inherited from class pipe.dataLayer.PlaceTransitionObject
`componentHeight, componentWidth, positionX, positionY, someArc`

Fields inherited from class pipe.dataLayer.PetriNetObject
`bounds, COMPONENT_DRAW_OFFSET, draggable, id, ignoreSelection, objectColour, pnName, selectable, selected, selectionBorderColour`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface pipe.gui.Constants
`ADDTOKEN, ANIMATE, ANNOTATION, ANNOTATION_DEFAULT_FONT, ANNOTATION_DEFAULT_FONT_SIZE, ANNOTATION_LAYER_OFFSET, ANNOTATION_MIN_WIDTH, ANNOTATION_SIZE_OFFSET, ARC, ARC_CONTROL_POINT_CONSTANT, ARC_LAYER_OFFSET, ARC_PATH_PROXIMITY_WIDTH, ARC_PATH_SELECTION_WIDTH, ARC_POINT_LAYER_OFFSET, CLASS_FILE_DESC, CLASS_FILE_EXTENSION, CREATING, DEFAULT_ELEMENT_TYPE, DELETE, DELTOKEN, DRAG, DRAW, ELEMENT_FILL_COLOUR, ELEMENT_LINE_COLOUR, ENABLED_TRANSITION_COLOUR, FIRE, GRID, IMMTRANS, LOWEST_LAYER_OFFSET, NOTE_DISABLED_COLOUR, NOTE_EDITING_COLOUR, PLACE, PLACE_TRANSITION_HEIGHT, PLACE_TRANSITION_LAYER_OFFSET, PLACE_TRANSITION_PROXIMITY_RADIUS, PROPERTY_FILE_DESC, PROPERTY_FILE_EXTENSION, RANDOM, RESERVED_BORDER, RESIZE_POINT_DOWN_COLOUR, SELECT, SELECTION_FILL_COLOUR, SELECTION_LAYER_OFFSET, SELECTION_LINE_COLOUR, START, STEPBACKWARD, STEPFORWARD, STOP, TIMEDTRANS`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Transition()` Create Petri-Net Transition object
`Transition(double positionXInput, double positionYInput)` Create Petri-Net Transition object
`Transition(double positionXInput, double positionYInput, java.lang.String idInput, java.lang.String nameInput, double nameOffsetXInput, double nameOffsetYInput, double aRate, boolean timedTransition, int angleInput)` Create Petri-Net Transition object

Method Summary
`int` | `boundsHeight()` Returns the height bounds we want to use when initially creating the place on the gui
`int` | `boundsWidth()` Returns the width bounds we want to use when initially creating the place on the gui
`boolean` | `contains(int x, int y)`
`int` | `getAngle()`
`double` | `getDelay()` This is a getter for the delay for this transition.
`double` | `getRate()`
`boolean` | `getTimed()` Get the timed transition attribute (for GSPNs)
`boolean` | `isDelayValid()` This method is a getter for the boolean indicating if the delay is valid or not.
`boolean` | `isEnabled()` Determines whether Transition is enabled
`boolean` | `isEnabled(boolean animationStatus)` Determines whether Transition is enabled
`boolean` | `isEnabledBackwards()` Determines whether Transition is enabled backwards
`int` | `leftOffset()` Returns the distance between the outside of the component to the centre, in order to position the centre of the place where the mouse clicks on the screen
`void` | `paintComponent(java.awt.Graphics g)`
`void` | `removeArcCompareObject(Arc a)`
`void` | `rotate(int angleInc)` Rotates the Transition through the specified angle around the midpoint
`void` | `setDelay(double _delay)` This is a setter for the delay for this transition.
`void` | `setDelayValid(boolean _delayValid)` This method is used to set a flag to indicate that the delay is valid or invalid.
`void` | `setEnabled(boolean status)` Sets whether Transition is enabled
`void` | `setEnabledBackwards(boolean status)` Sets whether Transition is enabled
`void` | `setEnabledFalse()`
`void` | `setRate(double _rate)`
`void` | `setTimed(boolean change)` Set the timed transition attribute (for GSPNs)
`int` | `topOffset()` Returns the distance between the outside of the component to the centre, in order to position the centre of the place where the mouse clicks on the screen
`void` | `updateEndPoint(Arc arc)`
`void` | `updateEndPoints()`

Methods inherited from class pipe.dataLayer.PlaceTransitionObject
`addConnectFrom, addConnectTo, addedToGui, areNotSameType, centreOffsetLeft, centreOffsetTop, delete, getCentre, getConnectFromIterator, getConnectToIterator, getId, getName, getPositionX, getPositionXObject, getPositionY, getPositionYObject, removeFromArc, removeToArc, select, setCentre, setId, setName, setPositionX, setPositionY, translate, updateBounds, updateConnected, zoomUpdate`

Methods inherited from class pipe.dataLayer.PetriNetObject
`addLabelToContainer, addZoomController, deselect, getNameLabel, getZoomController, ignoreSelection, isDraggable, isSelectable, isSelected, removeFromContainer, setDraggable, setObjectColour, setSelectable, setSelectionBorderColour`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public static final java.lang.String type

See Also:
  Constant Field Values

### TRANSITION_HEIGHT

    public static final int TRANSITION_HEIGHT

  Place Width

  See Also:
    Constant Field Values

### TRANSITION_WIDTH

    public static final int TRANSITION_WIDTH

  Place Width

  See Also:
    Constant Field Values

### highlighted

    public boolean highlighted

Constructor Detail

### Transition

    public Transition(double positionXInput,
                      double positionYInput,
                      java.lang.String idInput,
                      java.lang.String nameInput,
                      double nameOffsetXInput,
                      double nameOffsetYInput,
                      double aRate,
                      boolean timedTransition,
                      int angleInput)

  Create Petri-Net Transition object

  Parameters:
    `positionXInput` - X-axis Position
    `positionYInput` - Y-axis Position
    `idInput` - Transition id
    `nameInput` - Name
    `nameOffsetXInput` - Name X-axis Position
    `nameOffsetYInput` - Name Y-axis Position
    `color` - Color

### Transition

    public Transition(double positionXInput,
                      double positionYInput)

  Create Petri-Net Transition object

  Parameters:
    `positionXInput` - X-axis Position
    `positionYInput` - Y-axis Position
    `color` - Color

### Transition

    public Transition()

  Create Petri-Net Transition object

Method Detail

### paintComponent

    public void paintComponent(java.awt.Graphics g)

  Overrides:
    `paintComponent` in class `PlaceTransitionObject`

### rotate

    public void rotate(int angleInc)

  Rotates the Transition through the specified angle around the midpoint

### isEnabled

    public boolean isEnabled(boolean animationStatus)

  Determines whether Transition is enabled

  Parameters:
    `animationStatus` - Anamation status
  Returns:
    True if enabled

### isEnabledBackwards

    public boolean isEnabledBackwards()

  Determines whether Transition is enabled backwards

  Returns:
    True if enabled

### isEnabled

    public boolean isEnabled()

  Determines whether Transition is enabled

  Overrides:
    `isEnabled` in class `java.awt.Component`
  Returns:
    True if enabled

### setEnabled

    public void setEnabled(boolean status)

  Sets whether Transition is enabled

  Overrides:
    `setEnabled` in class `javax.swing.JComponent`

### setEnabledBackwards

    public void setEnabledBackwards(boolean status)

  Sets whether Transition is enabled

### setEnabledFalse

    public void setEnabledFalse()

### boundsWidth

    public int boundsWidth()

  Returns the width bounds we want to use when initially creating the place on the gui

  Overrides:
    `boundsWidth` in class `PlaceTransitionObject`
  Returns:
    Width bounds of Place

### boundsHeight

    public int boundsHeight()

  Returns the height bounds we want to use when initially creating the place on the gui

  Overrides:
    `boundsHeight` in class `PlaceTransitionObject`
  Returns:
    Height bounds of Place

### topOffset

    public int topOffset()

  Returns the distance between the outside of the component to the centre, in order to position the centre of the place where the mouse clicks on the screen

### leftOffset

    public int leftOffset()

  Returns the distance between the outside of the component to the centre, in order to position the centre of the place where the mouse clicks on the screen

### setRate

    public void setRate(double _rate)

### getRate

    public double getRate()

### getAngle

    public int getAngle()

### setTimed

    public void setTimed(boolean change)

  Set the timed transition attribute (for GSPNs)

### getTimed

    public boolean getTimed()

  Get the timed transition attribute (for GSPNs)

### setDelay

    public void setDelay(double _delay)

  This is a setter for the delay for this transition.

  Parameters:
    `_delay` - the time until this transition will fire

### getDelay

    public double getDelay()

  This is a getter for the delay for this transition.

  Returns:
    a double with the amount of delay

### isDelayValid

    public boolean isDelayValid()

  This method is a getter for the boolean indicating if the delay is valid or not.

  Returns:
    the delayValid a boolean that is true if the delay is valid, and false otherwise

### setDelayValid

    public void setDelayValid(boolean _delayValid)

  This method is used to set a flag to indicate that the delay is valid or invalid. (Mainly it is used to invalidate the delay.)

  Parameters:
    `_delayValid` - a boolean that is true if the delay is valid, false otherwise

### contains

    public boolean contains(int x,
                            int y)

  Overrides:
    `contains` in class `javax.swing.JComponent`

### removeArcCompareObject

    public void removeArcCompareObject(Arc a)

### updateEndPoint

    public void updateEndPoint(Arc arc)

  Specified by:
    `updateEndPoint` in class `PlaceTransitionObject`

### updateEndPoints

    public void updateEndPoints()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD